import java.util.HashMap;
import java.util.Map;
/**
 * Manages key mappings. You can use this
 * to easily manage custom key mappings
 *  - in your other code you can just
 * keep everything as:
 * Greenfoot.isKeyDown(Keys.getKey("left"))
 * And not have to worry about what the
 * player actually has set as their "move
 * left" key.
 */
public class Keys {
    private static Map<String, String> keys = new HashMap<String, String>() {{
        put("up", "w");
        put("down", "s");
        put("fire", "space");
    }};
    
    public static void setKey(String key, String mapping) {
        keys.put(key, mapping);
    }
    
    public static String getKey(String key) {
        return keys.get(key.toLowerCase());
    }
    
    public static String getControlsText(String... keysToDisplay) {
        StringBuilder sb = new StringBuilder("Controls:\n");
        for(String key : keysToDisplay) {
            sb.append(key);
            sb.append(": ");
            sb.append(getKey(key));
            sb.append("\n");
        }
        return sb.toString();
    }
}
